Subject: Re: [PATCH emacs-team 0/2] Apply native-comp grafts to emacs-next as well

From: Ian Eure <[email-masked]>
Date: Tue, 07 Jan 2025 20:48:19 -0800

Hi Liliana,

(Sorry if this reply is weird, I’m still ironing out some issues 
in my workflow)

This all looks good to me.  I compared the emacs and emacs-next 
versions of -native-comp-fix-filenames.patch, and your changes 
seem straightforward and minimal.

While I was reading your patches, I noticed this typo in 
emacs-disable-jit-compilation.patch:

> +Notably, Guix removes the hashes that prevent inadvertent 
> shadowing
> +frm the file names of compiled libraries in order to facilitate 
> grafts.

If you think it’s worth including in you patch series, it’d be 
nice to fix, but if you’re rather not, that’s also fine.

Thanks,
  -- Ian